/*
 *  Author:
 *   _____          
 *     |  _   _  |
 *     | | | |_| |
 *   |_| |_| |_  | 
 *  
 *  Joel H Crawford-Smith
 *
 * 1. Basic Elements
 * 2. Header / Footer
 *    a. Main Menu
 *    b. Main Menu Link Styles 
 *    c. Back to Top Link
 * 3. Main Content
 * 4. Media Queiries
 * 5. Utitlty Classes 
 *
 */





/* 
 * Basic Elements mmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmm Basic Elements 
 */
   
/* apply border-box layout model to all elements http://www.paulirish.com/2012/box-sizing-border-box-ftw/ */
*, *:before, *:after {
  -moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;
}
html, button, input, select, textarea {
    color: #444;
}
body {
    font-size: 1em;
    line-height: 1.4;
}
::-moz-selection, ::selection {
    background: blue;
    text-shadow: none;
}
h1, 
h2 {
	font-family: 'Roboto Slab', 'American Typewriter', serif;
	line-height: 1.5;
}
#dev, #ux, #drupal {
	padding-top: 200px;
}
hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}
img {
    vertical-align: middle;
}
fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}
textarea {
    resize: vertical;
}
ul, ol {
	padding-left: 10%;
}
li {
	margin-bottom:.5em;
}
button:focus, a:focus {
	outline: 4px double;
}
a:link {
	text-decoration: none;
}
a:visited {
	
}
a:hover{
	text-decoration: underline;
}
body {
    font: 16px/26px Helvetica, 'Helvetica Neue', Arial;
}
.wrapper {    
	margin: 0 auto;
	padding: 0 5%;
	max-width:1140px;
    width: 90%;
}
/* http://codepen.io/css-tricks/full/wFeaG */
abbr {
	position: relative;
	text-decoration: none;
}
abbr:after {
	content: attr(title);
	position: absolute;
	bottom: 130%;
	left: 20%;
	background: #BED741;
	padding: 5px 15px;
	color: black;
	-webkit-border-radius: 10px; -moz-border-radius: 10px; border-radius: 10px;
	white-space: nowrap;
	opacity: 0;
	-webkit-transition: all 0.4s ease; -moz-transition: all 0.4s ease; transition: all 0.4s ease;
}
abbr:before {
	content: "";
	position: absolute;
	width: 0;
	height: 0;
	border-top: 20px solid #BED741;
	border-left: 20px solid transparent;
	border-right: 20px solid transparent;
	-webkit-transition: all 0.4s ease; -moz-transition: all 0.4s ease; transition: all 0.4s ease;
	opacity: 0;
	left: 30%;
	bottom: 90%;
}
abbr:hover:after {
	bottom: 100%;
}
abbr:hover:before {
	bottom: 70%;
}
abbr:hover:after, a:hover:before {
	opacity: 1;
}



/* 
 * Header / Footer mmmmmmmmmmmmmmmmmmmmmmmmm Header / Footer
 */
 

/* header */
.header-container{
	background: #007d9e url('../images/clouds.svg') repeat-x center bottom;
	background-size: 101%;
	color: #fff;
	font-family: 'Roboto Slab', serif;
}
.header-container{
	box-shadow: 0 30px 20px #fff;
	left: 0;
	min-height: 210px;
	min-width: 300px;
	position: fixed;
	top: 0;
	width: 100%;
	z-index: 9999;
}
.footer-container {
	/*background:#00a0c4;*/
  background:#007d9e;
  /*background:#00a0c8;*/
}
.header-container h1 {
	color: #fff;
	margin-bottom:0;
	text-align: center;
	width:100%;
}
/* super cool http://codepen.io/syren/full/Ahkrv */
.header-bg {
	background-color:#439fc2; 
	border-bottom:1px solid #1f6985; 
	border-top:1px solid #1f6985; 
	box-shadow:inset 0 1px 0 0 rgba(255,255,255,0.4); 
	height:200px; 
	position:fixed;  
	width:100%; 
	z-index:10;
}
.header-bg-overlay {
  background: -webkit-linear-gradient(-90deg, transparent 50%, #ffffff 50%, #ffffff), 
  -webkit-linear-gradient(-88deg, transparent 50%, #439fc2 50%, #439fc2), 
  -webkit-linear-gradient(-76deg, transparent 50%, #ffffff 50%, #ffffff), 
  -webkit-linear-gradient(-71deg, transparent 50%, #439fc2 50%, #439fc2), 
  -webkit-linear-gradient(-63deg, transparent 50%, #ffffff 50%, #ffffff), 
  -webkit-linear-gradient(-48deg, transparent 50%, #439fc2 50%, #439fc2), 
  -webkit-linear-gradient(-33deg, transparent 50%, #ffffff 50%, #ffffff), 
  -webkit-linear-gradient(-15deg, transparent 50%, #439fc2 50%, #439fc2), 
  -webkit-linear-gradient(15deg, transparent 50%, #ffffff 50%, #ffffff), 
  -webkit-linear-gradient(33deg, transparent 50%, #439fc2 50%, #439fc2), 
  -webkit-linear-gradient(48deg, transparent 50%, #ffffff 50%, #ffffff), 
  -webkit-linear-gradient(63deg, transparent 50%, #439fc2 50%, #439fc2), 
  -webkit-linear-gradient(71deg, transparent 50%, #ffffff 50%, #ffffff), 
  -webkit-linear-gradient(76deg, transparent 50%, #439fc2 50%, #439fc2), 
  -webkit-linear-gradient(88deg, transparent 50%, #ffffff 50%, #ffffff), 
  -webkit-linear-gradient(90deg, transparent 50%, #ffffff 50%, #ffffff);
  background: linear-gradient(180deg, transparent 50%, #ffffff 50%, #ffffff), 
  linear-gradient(182deg, transparent 50%, #439fc2 50%, #439fc2), 
  linear-gradient(194deg, transparent 50%, #ffffff 50%, #ffffff), 
  linear-gradient(199deg, transparent 50%, #439fc2 50%, #439fc2), 
  linear-gradient(207deg, transparent 50%, #ffffff 50%, #ffffff), 
  linear-gradient(222deg, transparent 50%, #439fc2 50%, #439fc2), 
  linear-gradient(237deg, transparent 50%, #ffffff 50%, #ffffff), 
  linear-gradient(255deg, transparent 50%, #439fc2 50%, #439fc2), 
  linear-gradient(285deg, transparent 50%, #ffffff 50%, #ffffff), 
  linear-gradient(303deg, transparent 50%, #439fc2 50%, #439fc2), 
  linear-gradient(318deg, transparent 50%, #ffffff 50%, #ffffff), 
  linear-gradient(333deg, transparent 50%, #439fc2 50%, #439fc2), 
  linear-gradient(341deg, transparent 50%, #ffffff 50%, #ffffff), 
  linear-gradient(346deg, transparent 50%, #439fc2 50%, #439fc2), 
  linear-gradient(358deg, transparent 50%, #ffffff 50%, #ffffff), 
  linear-gradient(360deg, transparent 50%, #ffffff 50%, #ffffff);
  background-position: center top;
  background-size: 101% 900%;
  background-color: #007d9e;
  position: fixed; 
  height: 200px;
  left: 0;
  opacity: .1;
  top: 0;
  width: 100%;
  z-index: 10;
}

/* Main Menu */

nav {

}
nav ul {
  margin: 0;
  padding: 0;
}
nav a {
	color: #fff;
  display: block;
  font-weight: bold;
  margin-bottom: 10px;
  padding: 2px 0;
  text-align: center;
  text-decoration: none;
}
nav a:hover,
nav a:visited {
  color: #fff;
}
nav a:hover {
  text-decoration: underline;
}

/* Link Styles */

.header-container a, 
#main-menu li a {
	color: #fff; /*color:#daebf2;*/
	background: transparent;
	text-shadow: 0px 1px 7px #012, 0px 1px 0px #012;	
	text-decoration: none;
	-webkit-transition: text-shadow .2s ease-in; transition: text-shadow .2s ease-in;
}
.home .header-container .active a, 
#main-menu li.active a{
	color:#fff;
	text-shadow: 0px 1px 1px #000, 0px 1px 5px #012;
}

/* Back to Top link */

.back-to-top {
	background: #fff;
	font-family: 'Roboto Slab', serif;
	text-decoration: none;
	color:#0e2f58;
	display: block;
	position: fixed; 
	bottom: 0px;
	right:5%;
	padding: 5px 10px;
	z-index: 9;
	font-size: 14px;
	opacity: .5;
	-webkit-transition: opacity 1s; transition: opacity 1s;
}
.back-to-top:hover {
	/* SHOW the 'back to top' link when at the top */
	opacity: 1;
	text-decoration: underline;
}
.home .back-to-top {
	/* HIDE the 'back to top' link when at the top */
	opacity: 0;
}




/* 
 * Main Content mmmmmmmmmmmmmmmmmm Main Content 
 */ 

.main {
    padding: 30px 0;
}
.main-container a {
    color: #00598e;
    border-bottom: 1px solid #00598e;
    display: inline-block;
    overflow: hidden;
    vertical-align: top;
    -webkit-perspective: 600px;-ms-perspective: 600px;perspective: 600px;
    -webkit-perspective-origin: 50% 50%;-ms-perspective-origin: 50% 50%;perspective-origin: 50% 50%;
}
.main-container a span {
    display: block;
    position: relative;
    padding: 0 2px;
    -webkit-transition: all 400ms ease;-ms-transition: all 400ms ease;transition: all 400ms ease;
    -webkit-transform-origin: 50% 0%;-ms-transform-origin: 50% 0%;transform-origin: 50% 0%;
    -webkit-transform-style: preserve-3d;-ms-transform-style: preserve-3d;transform-style: preserve-3d;
}
.main-container a:hover span {
    background:#00598e;
    -webkit-transform: translate3d(0px, 0px, -30px) rotateX(90deg);-ms-transform: translate3d(0px, 0px, -30px) rotateX(90deg);transform: translate3d(0px, 0px, -30px) rotateX(90deg);
}
.main-container a span:after {
    content: attr(data-title);
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    padding: 0 2px;
    color: #fff;
    background: #00598e;
    -webkit-transform-origin: 50% 0%;-ms-transform-origin: 50% 0%;transform-origin: 50% 0%;
    -webkit-transform: translate3d(0px, 105%, 0px) rotateX(-90deg);-ms-transform: translate3d(0px, 105%, 0px) rotateX(-90deg);transform: translate3d(0px, 105%, 0px) rotateX(-90deg);
}

.main article {
	clear:left;
	padding-top:55px;
	color:#333;
}
.main article h1 {
    font-size: 2em;
}
article header h1 {
	color: #007d9e; 
}
article h2 {
	color: #00a0c8; 
}
.main aside {
    background: #f5f5f5;
    color: #666;
    font-size: .75em;
    line-height: 1.6;
    padding: 5% 5% 3% 5%;
}
.main aside img {
	width: 100%;
}
@media only screen and (max-width: 850px) {


	.main aside img {
		display: block;
		float: left;
		margin-right:25px;
		margin-bottom: 20px;
		max-width:100px;
		width: auto;
	}
	
}/* @media */

.footer-container footer {
    color: white;
    padding: 20px 0;
}
#joel {
	padding-top:175px;
}









/* 
 * Media Query mmmmmmmmmmmmmmmmmmmmmmm Media Query 
 */ 

@media only screen and (max-width: 480px) {

	.header-container {
		background-size: 150%;
	}
	.header-container h1 {
		margin-bottom:20px;
	}
	.header-container h1,
	.main article h1{
		font-size: 1.35em;
	}
	nav a {
        width: 100%;
    }
	.header-container nav a span {
		display: inline;
		float: none;
		clear: none;
	}
	
}

@media only screen and (min-width: 480px) {

/* INTERMEDIATE: Menu */
    nav li a {
        float: left;
        width: 29%;
        margin: 0 1.5%;
        padding: 20px 0 15px 0;
        margin-bottom: 0;
    }

}/* end @media */

@media only screen and (max-width: 640px) {

	/* make main menu scroll on narrow devices */
	.header-container,
	.header-bg,
	.header-bg-overlay {
		position: absolute;
	}

}/* end @media */


   
@media only screen and (min-width: 768px) {

	/* WIDE: CSS3 Effects */   
   .header-container {
   		background-size: 101%;
   		background-position: center bottom;
   }


}/* end @media */



@media only screen and (max-width: 768px) {
	
	body {
		font-size: 80%;
	}
   .header-container a span {
		display: block;
		clear:both;
		float: left;
		width: 100%;
		font-size: 1.3em;
	}
   
}/* end @media */
   
  
	
@media only screen and (min-width: 850px) {

	/* WIDER: Menu */
    nav {
    	font-size: 1.1em;
    }
    
	/*  WIDE: Main  */
    .main article {
        float: left;
        width: 57%;
    }

    .main aside {
        float: right;
        width: 28%;
        margin-top:145px;
    }
/*
    .home .header-container a:before,
	#main-menu li.active a:before {
		content:'\005B\0020';
	}
	.home .header-container a:after,
	#main-menu li.active a:after {
		content:'\0020\005D';
	}
*/
    
}/* end @media */

@media only screen and (min-width: 1140px) {

	/* WIDER: Menu */
    nav {
    	font-size: 1.4em;
    }
    
}/* end @media */





/* 
 * Example Sites Section mmmmmmmmmmmmmmm Example Sites Section 
 */
.ex-page section {
	margin-bottom:3em;
}
.ex-page ul {
	line-height: 1.2;
}
.ex-page .i-did li {
	margin-bottom: .25em;;
}
.ex-page .i-did .no {
	color: #ccc;
}
.ex-page .i-did .yes:after {
	color:#111;
	content: " \2713"
}
.loginform {
	 margin:0 auto; 
	 text-align:center;
	 width:400px; 
}







/* 
 * Utility Classes mmmmmmmmmmmmmmmmmmmmmmmmm Utility Classes 
 */


.ir {
    background-color: transparent;
    border: 0;
    overflow: hidden;
    *text-indent: -9999px;
}
.ir:before {
    content: "";
    display: block;
    width: 0;
    height: 150%;
}
.hidden {
    display: none !important;
    visibility: hidden;
}

.element-invisible,
.element-focusable { /* element-invisible */
  position: absolute !important;
  height: 1px;
  width: 1px;
  overflow: hidden;
  clip: rect(1px 1px 1px 1px);
  clip: rect(1px, 1px, 1px, 1px);
}

.element-focusable:active,
.element-focusable:focus { /* Turns off the element-invisible effect. */
  position: static !important;
  clip: auto;
  height: auto;
  width: auto;
  overflow: auto;
  outline: 2px dotted;
}
#skip-link { /* The skip-link link will be completely hidden until a user tabs to the link. */
  margin: 0;
}
#skip-link a,
#skip-link a:visited {
  display: block;
  width: 100%;
  padding: 2px 0 3px 0;
  text-align: center;
  background-color: #666;
  color: #fff;
}
.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}
.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
}
.invisible {
    visibility: hidden;
}
.date {
	font-family: Consolas, "Andale Mono WT", "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", "DejaVu Sans Mono", "Bitstream Vera Sans Mono", "Liberation Mono", "Nimbus Mono L", Monaco, "Courier New", Courier, monospace;
	font-weight: 700;
}
img.center {
	text-align: center;
}
img.floatleft {
	float:left;
	margin: 0 5% 0 2%;
}
img.floatright {
	float:left;
	margin: 0 5% 2%;
}
.clearfix:before,
.clearfix:after {
    content: " ";
    display: table;
}
.clearfix:after {
    clear: both;
}
.clearfix {
    *zoom: 1;
}

.turn-off-animation {
	position: fixed;
	right: 1px;
	top: 1px;
	z-index: 999999;
}
